kind: pipeline
type: docker
name: Deploy

clone:
  disable: true

steps:
  - name: Clone
    image: woodpeckerci/plugin-git
    settings:
      recursive: true

  - name: Build
    depends_on:
      - submodules
    image: node:16
    commands:
      - yarn
      - yarn build
    when:
      event:
        - push

  - name: Execute deploy script
    depends_on:
      - Build
    image: ubuntu:latest
    environment:
      SSH_KEY:
        from_secret: SSH_KEY
    commands:
      - apt update && apt install -y openssh-client rsync
      - ./ci/add-key.sh
      - ./ci/deploy.sh
    when:
      event:
        - push
      branch:
        - froth
